Subject: Re: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times

From: Sean Whitton <[email-masked]>
Date: Thu, 13 Jan 2022 09:58:50 -0700

Hello Po,

On Tue 11 Jan 2022 at 06:21PM +08, Po Lu wrote:

> Sean Whitton <[email-masked]> writes:
>
>> It occurred to me to try --with-x-toolkit=lucid instead of --with-pgtk.
>> Sure enough, I cannot reproduce the bug.  So I think the problem is
>> something about how pgtk receives and processes keyboard input.
>
>> In summary: I can reproduce with pgtk running as a native Wayland
>> application, and I cannot reproduce with the Lucid build running under
>> Xwayland.  In both cases, swaywm.  I have retitled the bug.
>
> You forgot to test the following combinations:
>
>   --with-x-toolkit=gtk3, x-gtk-use-native-input set to nil
>   --with-x-toolkit=gtk3, x-gtk-use-native-input set to t

Cannot reproduce.  I did try both, but I can't find any mention of
x-gtk-use-native-input in the Emacs source code -- is it possible you
meant a similarly-named variable?

>   --with-pgtk, GDK_BACKEND=x11

Can reproduce, but it happens less often, i.e., you have to load up the
system further and type faster to reproduce :)

-- 
Sean Whitton